Gecode::Int::Distinct::EqIte Class Reference
Other available functionality » Integer propagators

Equal-if-then-else domain-consistent propagator. More...

`#include <distinct.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high ternary).
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::BinaryPropagator< IntView, PC_INT_DOM >
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, IntView x0, IntView x1, int c0, int c1)
| Post if-then-else propagator.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| EqIte (Space &home, EqIte &p)
| Constructor for cloning p.
| EqIte (Home home, IntView x0, IntView x1, int c0, int c1)
| Constructor for creation.
Protected Member Functions inherited from Gecode::BinaryPropagator< IntView, PC_INT_DOM >
| BinaryPropagator (Space &home, BinaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

int | c0
| The integer constant.
int | c1
Protected Attributes inherited from Gecode::BinaryPropagator< IntView, PC_INT_DOM >
IntView | x0
| Two views.
IntView | x1

## Detailed Description

Equal-if-then-else domain-consistent propagator.

Implements the propagator .

Requires

#include <gecode/int/distinct.hh>
distinct.hh

Definition at line 349 of file distinct.hh.

## Constructor & Destructor Documentation

## EqIte() [1/2]

Gecode::Int::Distinct::EqIte::EqIte | ( | Space & | home,
|  | EqIte & | p )

inline protected

Constructor for cloning p.

Definition at line 43 of file eqite.hpp.

## EqIte() [2/2]

Gecode::Int::Distinct::EqIte::EqIte | ( | Home | home,
|  | IntView | x0,
|  | IntView | x1,
|  | int | c0,
|  | int | c1 )

inline protected

Constructor for creation.

Definition at line 39 of file eqite.hpp.

## Member Function Documentation

## copy()

Actor * Gecode::Int::Distinct::EqIte::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 46 of file eqite.cpp.

## cost()

PropCost Gecode::Int::Distinct::EqIte::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as high ternary).

Reimplemented from Gecode::BinaryPropagator< IntView, PC_INT_DOM >.

Definition at line 41 of file eqite.cpp.

## propagate()

ExecStatus Gecode::Int::Distinct::EqIte::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 51 of file eqite.cpp.

## post()

ExecStatus Gecode::Int::Distinct::EqIte::post | ( | Home | home,
|  | IntView | x0,
|  | IntView | x1,
|  | int | c0,
|  | int | c1 )

inline static

Post if-then-else propagator.

Definition at line 49 of file eqite.hpp.

## Member Data Documentation

## c0

int Gecode::Int::Distinct::EqIte::c0

protected

The integer constant.

Definition at line 354 of file distinct.hh.

## c1

int Gecode::Int::Distinct::EqIte::c1

protected

Definition at line 354 of file distinct.hh.

The documentation for this class was generated from the following files:

- gecode/int/distinct.hh
- gecode/int/distinct/eqite.cpp
- gecode/int/distinct/eqite.hpp